Support » Plugin: Redis Object Cache » The Predis library is not reliable

  • Resolved zeeshansum

    (@zeeshansum)


    Respected plugin owner,

    Good Day,

    i install my Redis Object Cache plugin to my site. i am seeing following error. i am using 7.2 Php version. and latest version of wordpress.
    here is below error:

    The Predis library is not reliable on PHP 7.2 and newer. Learn more about migrating to Credis or PhpRedis to avoid compatiblity issues in the future.

    kindly check radis object cache is working on my site and how can i remove above error. if its not working in my site, please inform me.

    thanks

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Moderator Yui

    (@fierevere)

    ゆい

    Predis library is a PHP script used to access Redis backend.
    Its less speedy and less reliable.
    You can view the project here: https://github.com/nrk/predis

    Suggested alternatives require you to have access to PHP configuration, and maybe to install/compile software, if your server does not have redis PHP extension installed (filename – redis.so)
    https://pecl.php.net/package/redis

    If you are using shared hosting, then contact your webhost support and ask them about enabling redis extension for PHP

    Plugin Author Till Krüss

    (@tillkruess)

    i am using vps plan and my hosting company already enabled radis extension for php that i requested before.

    is Redis Object Cache plugin is working fine and fully active? i see in plugin setting its connected. because i can not change my php version less than 7.2 as per my theme developers.

    please check in current setting of plugin its working fine or with same php version it will affect my site speed?

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.